
- name: Ensure that existing packages are up-to-date (within last 60 mins)
  apt:
    update_cache=yes
    cache_valid_time=3600

- name: Install Greenstone3 prerequisites
  apt:
    name:
      - subversion
      - build-essential
      - wget
      - ca-certificates

      # As well as using 'unzip', the greenstone3 compile sequence currently uses
      # 'zip' in a handful of places, such as:
       #     <gsdl3srchome>/gli/makejar.sh
      - zip
      - unzip

      # ????
      # Choosing to install the latest ImageMagick, rather than work
      # with the one included as a Greenstone3 extension, as that
      # latter is getting a bit old 'imagemagick'
      
      # The following needed for WebSwing on a headless server
      - libxrender1
      - libxtst6
      - libxi6
      - xvfb

      # The following are nice to have in general
      # (lynx provides a version www-browser that 'apachectl status' uses)
      - plocate
      - emacs-nox
      - lynx
      
    state:
      present
